<template>
  <div class="layout–default">
    <svg-sprite/>

    <Sidebar/>
    <Topbar/>

    <main>
      <Nuxt/>
    </main>

  </div>
</template>

<script>
import SvgSprite from "../components/_utils/svg-sprite";

export default {
  components: {SvgSprite}
}
</script>

<style lang="scss">
body {
  position: relative;
  width: 100%;
  margin: 0;
  padding: 0;

  background: $color-background;

  .layout–default {
    position: relative;
    width: 100%;
  }

  --width-sidebar: 100%;
  --height-sidebar: 60px;
  --height-topbar: 60px;

  @include _respond-to('desktops') {
    --width-sidebar: 240px;
    --height-sidebar: 100%;
  }

  main {
    position: relative;
    margin: 0;
    padding: 0;

    @include _respond-to('desktops') {
      padding-top: var(--height-topbar);
      padding-left: var(--width-sidebar);
    }
  }
}
</style>
